信呼
为企业构建一个基于互联网的企业管理平台, 对企业中沟通与互动,协作与管理的全方位整合,并且免费开源系统,二次开发更快捷,即时推送审批,掌上APP手机办公。
联系我们
  [提问问题]
有事直接问,不要问在不在
QQ群:164576504
[微信]   [演示]   [↑顶部]
当前位置:首页 > 信息内容 > 信呼文件管理平台安装和使用帮助
信呼文件管理平台安装和使用帮助
浏览次数(4804+7),最后更新(2019-09-22 11:19:31)

一、运行环境要求。

1、php版本至少要5.6.4以上。

2、mysql版本5.0以上。

3、使用windows服务器,用apache/iis,禁止使用nginx哦。

4、使用Linux服务器,web服务器随意。

5、建站点时站名目录要指向public文件夹,文件夹的storage要有写入权限。

6、服务器要有composer的支持,composer官网安装帮助,不想安装composer,也可以直接下载composer出来的vendor包,直接去下载看看

安装前提,php加入环境变量,也就是运行:php -v要可以。

1、windows安装composer,下载Composer-Setup.exe,下一步下一步安装就好了。

2、Linux安装

php -r "copy('https://install.phpcomposer.com/installer', 'composer-setup.php');"

php composer-setup.php

php -r "unlink('composer-setup.php');"

mv composer.phar /usr/local/bin/composer

composer -V #查看版本

二、注意事项

1、平台是无法在二级目录下运行。

2、平台也是无法安装到虚拟主机的,必须是可以建站点的服务器。

3、不要问为什么,我们也不知道为什么。

三、安装

可查看请看源码下的README.md文件。

1、建好站点,确保你的站点可以访问,可以到浏览器输入地址能出现logo图片就是可以如:http://你的站点/images/logo.png

2、进入系统目录如下命令操作,php必须加入环境变量,不会添加?自行网上搜索。

composer install //如果你自己下载vendor包到目录下,这个就不需要了

php -r "file_exists('.env') or copy('.env.example', '.env');" //创建配置文件并修改里面配置参数,如数据库信息

修改.env文件,设置一下数据库信息。

php artisan rock:docs checkbase //检测数据库是否存在,不存在就创建

php artisan migrate //导入系统表

php artisan db:seed //创建后台管理员

3、以上操作都没问题,浏览器输入你的站点地址就可以了。

四、信呼文件管理平台使用帮助。

1、win下安装,观看视频

2、平台总管理后台使用,观看视频

3、平台单位创建,用户注册使用,观看视频

4、单位管理后台使用,观看视频

  •  1楼、 (2019-07-16 19:02:04) 
    程序员精神啦 工匠手艺 很多事是都是学习和使用您的代码
  •  2楼、 (2019-09-03 10:41:26) 
    E:docs>php artisan rock:docs checkbase
    PHP Parse error: syntax error, unexpected T_CLASS, expecting T_STRING or T_VARI
    ABLE or '$' in E:docsartisan on line 31 请问这是什么问题呢?
  •  3楼、 (2019-09-03 14:42:59) 
    回复2楼:你的php版本太低了吧 试试5.6+
  •  4楼、 (2019-09-21 11:54:40) 
    Warning: require(): open_basedir restriction in effect. File(/www/wwwroot/doc.swl/bootstrap/autoload.php) is not within the allowed path(s): (/www/wwwroot/doc.swl/public/:/tmp/:/proc/) in /www/wwwroot/doc.swl/public/index.php on line 21

    这个问题一直没解决,配置php.ini的open_basedir也不行,不知道哪里的问题
  •  5楼 官网(2019-09-21 17:19:52) 
    php版本至少要5.6.4以上,自己去检查看看。
  •  6楼、 (2019-09-27 01:23:24) 
    d:phpstudy_prowwwfile>php artisan migrate

    in connection.php line 647:

    sqlstate[42000]: syntax error or access violation: 1231 variable 'sql_mode' can't be set to the value of 'no_auto_c
    reate_user' (sql: * from information_schema.tables where table_schema = rockdoc_file and table_name = rockdo
    c_migrations)


    in mysqlconnector.php line 150:

    sqlstate[42000]: syntax error or access violation: 1231 variable 'sql_mode' can't be se
  •  7楼、 (2019-10-07 00:50:51) 
    Warning: require(): open_basedir restriction in effect. File(/www/wwwroot/xinhudocs/bootstrap/autoload.php) is not within the allowed path(s): (/www/wwwroot/xinhudocs/public/:/tmp/:/proc/) in /www/wwwroot/xinhudocs/public/index.php on line 25

    Warning: require(/www/wwwroot/xinhudocs/bootstrap/autoload.php): failed to open stream: Operation not permitted in /www/wwwroot/xinhudocs/public/index.php on line 25

    Fatal error: require(): Failed opening required '/www/wwwroot/xinhudocs/public/../
  •  8楼、 (2019-10-07 00:51:07) 
    回复7楼:PHP版本7.0
评论回复(8)
 
Copyright ©2016-2019 信呼 www.rockoa.com 版权所有   闽ICP备18008179号   ↑回到顶部